# Mappings

### Open Content Property mappings

#### Concepts

| Key    | Type   | Description                                                                           |
| ------ | ------ | ------------------------------------------------------------------------------------- |
| uuid   | string | Enter the name of this property from OC                                               |
| name   | string | Enter the name of this property from OC                                               |
| type   | string | Enter the name of this property from OC                                               |
| avatar | object | The object contains a single key, "property" with the name of the relation to avatar. |

#### Example:

```
{
    "uuid": "uuid",
    "name": "ConceptName",
    "type": "ConceptImTypeFull",
    "avatar": {
        "property": "ConceptAvatarRelation"
    }
}
```

#### Avatars

| Key      | Type   | Description                             |
| -------- | ------ | --------------------------------------- |
| uuid     | string | Enter the name of this property from OC |
| filename | string | Enter the name of this property from OC |

```
{
    "uuid": "uuid",
    "filename": "WriterFilename"
}
```

####

#### Images

| Key      | Type   | Description                             |
| -------- | ------ | --------------------------------------- |
| uuid     | string | Enter the name of this property from OC |
| author   | string | Enter the name of this property from OC |
| filename | string | Enter the name of this property from OC |
| updated  | string | Enter the name of this property from OC |

```
{
    "uuid": "uuid",
    "author": "WriterAuthors",
    "filename": "WriterFileName",
    "updated": "updated"
}
```

### Suggest search configuration

Configuration for suggest search which is used when finding existing photos.

| Key           | Type             | Description                                                                                                                  |
| ------------- | ---------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| suggestFields | array of objects | Each object contains two keys: "name" and "order". "name" is the name of the OC property. "order" is not used at the moment. |
| suggestLabels | object           | The object contains keys with the suggest fields and the labels used in the user interface.                                  |
| searchOptions | object           | The object contains the suggest search options, se example below.                                                            |

```
{
        "suggestFields": [
                {
                        "name": "NavigaPhotosPhotographer",
                        "order": 10
                },
                {
                        "name": "WriterAuthors",
                        "order": 10
                },
                {
                        "name": "NavigaPhotosTags",
                        "order": 10
                }
        ],
        "suggestLabels": {
                "NavigaPhotosPhotographer": "Photographer",
                "WriterAuthors": "Author",
                "NavigaPhotosTags": "Tags"
        },
        "searchOptions": {
                "limit": 24,
                "defaultQuery": "*",
                "filterQuery": "contenttype: Image",
                "sortField": "updated",
                "sortAscending": false
        }
}
```

**Photo date field**

The name of the OC property containing the photo date. If omitted, date fields in suggest search are not shown.

```
NavigaPhotosPhotoDate
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/naviga-photos/4.0.1/admin-guide/configuration/mappings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
